/*汎用テキストカラー*/
.text-primary{
    color:var(--color-primary);
}

.text-secondary{
    color:var(--color-secondary);
}

.text-accent{
    color:var(--color-accent);
}

.text-heading{
    color:var(--color-heading);
}

.text-body{
    color:var(--color-text);
}

/* セクション関連 */
.section-container{
  max-width:90%;
  width:min(1200px,90%);
  margin:0 auto;
}
.section-soft{
  background:#F8FAFC;
}
.section-dark{
  background:var(--color-primary);
}
.section-dark .section-title{
  color:#fff;
}
.section-badge{
  display:inline-block;
  padding:.4rem 1rem;
  border-radius:999px;

  background:var(--color-accent);
  color:var(--color-primary);

  font-size:.75rem;
  font-weight:700;
  letter-spacing:.15em;
}
.section-header{
    text-align:center;
    margin-bottom:60px;
}
.section-title{
  color:var(--color-primary);
  font-size:clamp(2rem,4vw,3.5rem);
  line-height:1.4;
  font-weight:700;

  margin-top:1rem;
  margin-bottom:1.5rem;
}
.section-description{
  margin-top:1rem;
  color:var(--color-text);
  line-height:1.8;
  max-width:760px;
  margin:2rem auto 2rem;
  margin-bottom: 3rem;
}
.section-dark .section-description{
    color:#CBD5E1;
}
.section-description p{
    margin-bottom: 1.5rem;
    font-size: 1.05rem;
    line-height: 2;
    color: rgba(255,255,255,0.95);
}
.section-tags{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:16px;

    margin:40px 0;
}
.section-tags span{
    display:inline-flex;
    align-items:center;

    padding:12px 24px;

    background:#D9CBA3;
    color:#2A5772;

    border-radius:999px;

    font-size:0.95rem;
    font-weight:700;

    box-shadow:0 4px 12px rgba(0,0,0,.15);

    transition:.3s ease;
}
.section-tags span:hover{
    transform:translateY(-2px);

    background:#e6d9b8;
}
.section-tags strong{
    color:#6B94AE;
    margin-right:6px;
}

.nav-menu {
    display: flex;
    align-items: center;
    gap: 2rem;

    list-style: none;
}

.nav-menu a {
    color: var(--color-primary);

    font-weight: 600;
    text-decoration: none;
}

.nav-sns {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav-sns a {
    color: var(--color-primary);
}

.mobile-nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mobile-menu-item,
.mobile-menu-group {
    border-bottom: 1px solid #eef2f7;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

.mobile-menu-item a {
    display: block;

    padding: 1rem 0;

    text-decoration: none;

    color: var(--color-primary);

    font-weight: 700;
}

.mobile-nav {
    position: absolute;

    top: 100%;
    left: 0;

    width: 100%;

    background: #fafbfc;

    border-top: 1px solid #e5e7eb;

    box-shadow:
        0 12px 30px rgba(0,0,0,.08);

    opacity: 0;
    visibility: hidden;

    transform: translateY(-10px);

    transition: .3s ease;
}

.mobile-nav.active {
    opacity: 1;
    visibility: visible;

    transform: translateY(0);
}

.mobile-menu {
    background: #fff;

    border-radius: 12px;

    overflow: hidden;
}

.mobile-menu-toggle {
    width: 100%;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 1rem 0;

    background: none;
    border: none;

    color: var(--color-primary);

    font-size: 1rem;
    font-weight: 700;

    cursor: pointer;
}

.mobile-contact-btn {
    margin-top: 1.5rem;

    padding-top: 1.5rem;

    border-top: 1px solid #e5e7eb;
    margin: 0.5rem;
}
.mobile-contact-btn a {
    display: flex;
    justify-content: center;
    align-items: center;

    padding: 1rem;

    border-radius: 999px;

    background: var(--color-primary);

    color: #fff;

    text-decoration: none;

    font-weight: 700;
}

.mobile-sns {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;

    margin-top: 1.5rem;
    padding-top: 1.5rem;

    border-top: 1px solid #e5e7eb;
}
.mobile-sns a {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    padding: 0.6rem 1rem;

    border: 1px solid #dbe3ec;
    border-radius: 999px;

    text-decoration: none;

    color: var(--color-primary);
    background: #fff;

    font-size: 0.9rem;
    font-weight: 600;

    transition: 0.3s ease;
}

.mobile-sns a:hover {
    border-color: var(--color-primary);
}

.menu-arrow {
    transition: transform .3s ease;
}

.mobile-menu-group.active .menu-arrow {
    transform: rotate(180deg);
}

.mobile-submenu {
    display: none;
    grid-template-rows: 0fr;

    overflow: hidden;

    transition: grid-template-rows 0.3s ease;
}

.mobile-menu-group.active .mobile-submenu {
    /*grid-template-rows: 1fr;*/
    display: block;
}

.mobile-submenu-inner {
    min-height: 0;

    margin-left: .75rem;
    padding-left: 1rem;

    border-left: 2px solid var(--color-accent);
}

.mobile-submenu-inner a {
    display: block;

    padding: .75rem 0;

    text-decoration: none;

    color: var(--color-text);
}

.ecosave-text {
    flex: 1;
}

.ecosave-features {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;

    margin-top: 3rem;
}

.ecosave-stats {
    display: flex;
    /*flex-wrap: wrap;*/
    justify-content: center;

    gap: 1.5rem;

}

.ecosave-stat {
    flex: 1;

    min-width: 180px;
    width: 220px;
    height: 120px;

    padding: 1.5rem;

    text-align: center;

    border-radius: 1rem;

    background: #fff;

    border: 1px solid rgba(0, 84, 166, .1);

    box-shadow: 0 4px 12px rgba(0, 0, 0, .05);

    transition: all .3s ease;
}

.ecosave-stat.featured {
    background: linear-gradient(
        135deg,
        #2d6387,
        #5b88a8
    );

    transform: translateY(-6px);
}

.ecosave-stat.featured strong {
    color: #fff;
}

.ecosave-stat.featured span {
    color: rgba(255,255,255,.8);
}


.ecosave-stat:hover {
    transform: translateY(-4px);

    box-shadow: 0 10px 20px rgba(0, 0, 0, .08);
}

.ecosave-stat strong {
    display: block;

    margin-bottom: .5rem;

    color: var(--color-primary);

    font-size: 1.5rem;
    font-weight: 800;
}
.ecosave-stat span {
    color: var(--color-text);

    font-size: .9rem;
    font-weight: 500;
}
@media (max-width: 768px) {

    .ecosave-stats {
        flex-direction: column;
    }

    .ecosave-stat {
        width: 100%;
    }

}

.ecosave-subtitle {
    display: inline-block;

    padding: 0.4rem 1rem;

    border-radius: 999px;

    background: rgba(45, 99, 135, 0.08);

    color: var(--color-primary);

    font-size: 0.85rem;
    font-weight: 700;

    margin-top: 1rem;
    margin-bottom: 1rem;

}

.ecosave-tag {
    padding: .5rem 1rem;

    border-radius: 999px;

    background: white;

    border: 1px solid #d9e3ef;

    font-size: .875rem;
    font-weight: 600;
    color: var(--color-text);

    margin-left: 5px;
    margin-right: 5px;
}


/*バッジ用*/
.badge-primary{
    background:rgba(42,87,114,.1);
    color:var(--color-primary);
}

.badge-secondary{
    background:rgba(107,148,174,.15);
    color:var(--color-secondary);
}

.badge-accent{
    background:#F4EEDA;
    color:var(--color-primary);
}
/*テックタグ用*/
/*.tech-tag{
    display:inline-block;

    padding:6px 12px;

    border-radius:999px;

    background:#F8FAFC;

    border:1px solid #E2E8F0;

    color:var(--color-primary);

    font-size:.75rem;
    font-weight:600;
}*/
.language-tag {
    background: #f8fafc;
    border-color: #cbd5e1;
}
.os-tag {
    background: #f8fafc;
    border-color: #d1d5db;
}
/*PLCタグ*/
/*.plc-tag{
    background:#F4EEDA;

    color:var(--color-primary);

    border-radius:999px;

    padding:4px 10px;

    font-size:.75rem;
}*/
.plc-tag {
    background: rgba(var(--primary-rgb), 0.05);
    border-color: rgba(var(--primary-rgb), 0.2);
}

/*チェックマーク*/
.check-icon{
    color:var(--color-secondary);
    font-weight:700;
}
/*セクション小見出し*/
.subheading-primary{
    color:var(--color-primary);
    font-weight:700;
}

.subheading-secondary{
    color:var(--color-secondary);
    font-weight:700;
}
/*グラディエーション*/
.gradient-brand{
    background:
      linear-gradient(
        135deg,
        var(--color-primary),
        var(--color-secondary)
      );
}
/*技術実績*/
.text-lang{
    background:#F8FAFC;
    color:var(--color-primary);
}
.text-os{
    background:rgba(107,148,174,.12);
    color:var(--color-secondary);
}
.text-plc{
    background:#F4EEDA;
    color:var(--color-primary);
}


.header{
  background:#ffffff;
  border-bottom:1px solid #e5e7eb;
}
.header a{
/*  color:var(--color-primary);
*/
color:var(--color-primary);
}
.header a:hover{
  color:var(--color-secondary);
}
/*
--------------------
フッター
--------------------
*/
.footer{
  background:#1F2937;
  color:#cbd5e1;
}
/*リンク*/
.footer a{
  color:var(--color-accent);
}


/*問い合わせボタン*/
/*.btn-primary{
  background:var(--color-primary);
  color:#fff !important;
}
.btn-primary:hover{
  background:#163A59;
}*/

/*ヒーロー*/
.hero-section {
    position: relative;

    display: flex;
    align-items: center;

    min-height: 85vh;

    padding: 8rem 0 6rem;

    background:
        linear-gradient(
            135deg,
            var(--color-primary),
            #1f4f88
        );

    color: #fff;

    overflow: hidden;
}
.hero-section::before {
    content: "";

    position: absolute;

    top: -150px;
    right: -150px;

    width: 400px;
    height: 400px;

    border-radius: 50%;

    background: rgba(255,255,255,0.06);
}
.hero-container {
    width: 100%;
    max-width: 1400px;

    margin: 0 auto;

    padding: 0 2rem;
}
.hero-section::after {
    content: "";

    position: absolute;

    bottom: -200px;
    left: -200px;

    width: 500px;
    height: 500px;

    border-radius: 50%;

    background: rgba(255,255,255,0.04);
}
.hero-content {
    position: relative;
    z-index: 1;

    max-width: 1000px;

    margin: 0 auto;

    text-align: center;
}
.hero-company {
    margin-bottom: 1rem;

    color: rgba(255,255,255,0.75);

    font-size: 0.95rem;
    font-weight: 600;

    letter-spacing: .25em;

    text-transform: uppercase;

    text-align: center;
}
.hero-title {
    max-width: 900px;

    margin: 0 auto 1.5rem;

/*    font-size: clamp(2.5rem, 4vw, 4rem);*/
    font-size: clamp(2.5rem, 4vw, 4rem);

    font-weight: 700;
    line-height: 1.3;

    color:#fff;
}
.hero-description {
    max-width: 700px;

    margin: 0 auto 2.5rem;

    font-size: 1.15rem;
    line-height: 2;

    color: rgba(255, 255, 255, 0.9);
}
.hero-buttons {
    display: flex;
    justify-content: center;
    gap: 1rem;
    flex-wrap: wrap;
}
.hero-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    min-width: 180px;

    padding: 1rem 2rem;

    border-radius: 999px;

    text-decoration: none;
    font-weight: 700;

    transition: .3s ease;
}
.hero-btn-primary {
    background: #fff;
    color: var(--color-primary);
}

.hero-btn-primary:hover {
    transform: translateY(-3px);

    box-shadow: 0 10px 24px rgba(0,0,0,.15);
}
.hero-btn-secondary {
    border: 2px solid rgba(255,255,255,.4);

    color: #fff;
}

.hero-btn-secondary:hover {
    background: rgba(255,255,255,.1);

    border-color: #fff;
}
@media (max-width: 768px) {

    .hero-section {
        min-height: 75vh;

        padding: 6rem 0 4rem;
    }

    .hero-company {
        font-size: 0.8rem;
    }

    .hero-description {
        font-size: 1rem;
    }

    .hero-buttons {
        flex-direction: column;
    }

    .hero-btn {
        width: 100%;
    }
}


.hero{
  background:
    linear-gradient(
      135deg,
      var(--color-primary) 0%,
      var(--color-secondary) 100%
    );
}
.hero-description{
  color:#e2e8f0;
}


/* カード */

.card{
  background:#fff;

  border:1px solid #e2e8f0;
  border-radius:1rem;

  padding:1.5rem;

  box-shadow:var(--shadow-card);

  transition:.3s;
}

.card:hover{
  transform:translateY(-4px);
}

/* ボタン */

.btn{
  display:inline-flex;
  align-items:center;
  justify-content:center;

  text-decoration:none;
  transition:.3s;
}

.btn-primary{
  background:var(--color-secondary);
  color:#fff;

  padding:.8rem 1.5rem;
  border-radius:999px;

  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-weight: 700;
}

.btn-primary:hover{
  background:var(--color-primary);
}

.btn-outline{
  border:2px solid var(--color-primary);
  color:var(--color-primary);

  padding:.8rem 1.5rem;
  border-radius:999px;
}

.site-header {
    position: fixed;

    top: 0;
    left: 0;

    width: 100%;

    background: rgba(255,255,255,.95);
    backdrop-filter: blur(10px);

    border-bottom: 1px solid #e5e7eb;

    z-index: 1000;
}

.site-header .container-custom {
    display: flex;
    align-items: center;
    justify-content: space-between;

    min-height: 80px;
}

.site-logo {
    display: flex;
    align-items: center;
    gap: 0.75rem;

    text-decoration: none;
    margin-left: 0.5rem;
}

.site-logo-image {
    width: auto;
    height: 42px;

    object-fit: contain;
}

.site-logo-content {
    display: flex;
    flex-direction: column;
}

.site-logo-en {
    color: var(--color-primary);

    font-size: 0.75rem;
    font-weight: 700;

    letter-spacing: 0.18em;
    line-height: 1.2;
}

.site-logo-ja {
    color: var(--color-text);

    font-size: 0.9rem;
    font-weight: 600;

    line-height: 1.3;
}

.header-logo {
    display: flex;
    flex-direction: column;

    text-decoration: none;
}

.header-logo-en {
    color: var(--color-primary);

    font-size: .75rem;
    font-weight: 700;

    letter-spacing: .12em;
}

.header-logo-ja {
    color: var(--color-text);

    font-size: .9rem;
    font-weight: 600;
}


.header-nav {
    display: flex;
    align-items: center;
    gap: 2rem;
    margin-left: auto;
}
.nav-menu {
    display: flex;
    align-items: center;
    gap: 2rem;

    list-style: none;
}

.nav-menu a {
    color: var(--color-primary);

    text-decoration: none;
    font-weight: 600;

    position: relative;
}

.nav-menu a::after {
    content: "";

    position: absolute;

    left: 0;
    bottom: -6px;

    width: 0;
    height: 2px;

    background: var(--color-accent);

    transition: .3s;
}

.nav-menu a:hover::after {
    width: 100%;
}
.header-link {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

.header-link a {
    display: flex;
    align-items: center;
    justify-content: center;

    width: 20px;
    height: 20px;

    border-radius: 50%;

    color: var(--color-primary);

    transition: 0.3s ease;
}
@media (max-width: 768px) {

    .site-logo-image {
        height: 34px;
    }

    .site-logo-en {
        font-size: 0.6rem;
        letter-spacing: 0.12em;
    }

    .site-logo-ja {
        font-size: 0.7rem;
    }

}
@media (max-width: 576px) {

    .site-logo-en {
        display: none;
    }

}

.header-link a:hover {
    background: rgba(0, 0, 0, 0.05);

    transform: translateY(-2px);
}

.header-right {
    min-width: 145;

    display: flex;

    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}


.contact-btn {
    padding: .8rem 1.4rem;

    border-radius: 999px;

    background: var(--color-primary);

    color: #fff;

    font-weight: 700;
}

@media (max-width: 768px) {

    .header-right .btn-primary {
        display: none;
    }

}

.hamburger-btn {
    display: none;

    width: 48px;
    height: 48px;

    background: var(--color-bg-soft);

    border: 1px solid var(--color-bg-bg);

    flex-direction: column;
    justify-content: center;
    align-items: center;

    z-index: 2100;
}

.hamburger-btn span {
    width: 24px;
    height: 2px;

    background: black;

    margin: 3px 0;
}

@media (max-width: 1200px) {

    .header-nav {
        display: none;
    }

    .hamburger-btn {
        display: flex;
    }

}

.hamburger-btn.active span:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger-btn.active span:nth-child(2) {
    opacity: 0;
}

.hamburger-btn.active span:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}

.footer-company-name {
    margin-bottom: .5rem;

    color: var(--color-accent);
    font-weight: 700;
}

.footer-address,
.footer-tel {
    font-size: .9rem;
    line-height: 1.8;
}

.footer-copyright {
    text-align: right;

    font-size: 11px;
    color: #94a3b8;
}
@media (max-width: 768px) {

    .footer-content {
        flex-direction: column;

        text-align: center;
    }

    .footer-copyright {
        text-align: center;
    }

}

/* 改行 */
.pc-only {
    display: none;
}

@media (min-width: 769px) {

    .pc-only {
        display: inline;
    }

}

.sp-only {
    display: none;
}

@media (max-width: 768px) {

    .sp-only {
        display: inline;
    }

}